Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.egategui.projectfile
Class FileDeleteAction

    java.lang.Object
      org.openide.util.SharedClassObject
          org.openide.util.actions.SystemAction
              org.openide.util.actions.CallableSystemAction
                  org.openide.util.actions.NodeAction
                      org.openide.util.actions.CookieAction
                          com.stc.swift.egategui.projectfile.FileDeleteAction

All Implemented Interfaces:
  java.awt.event.ActionListener, java.io.Externalizable, java.io.Serializable, java.util.EventListener, javax.swing.Action, org.openide.util.actions.Presenter, org.openide.util.actions.Presenter.Menu, org.openide.util.actions.Presenter.Popup, org.openide.util.actions.Presenter.Toolbar

    public class FileDeleteAction

extends org.openide.util.actions.CookieAction

Implements the methods for the delete action.

Version:
  $Revision: 1.5 $
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.openide.util.actions.Presenter
`org.openide.util.actions.Presenter.Menu, org.openide.util.actions.Presenter.Popup, org.openide.util.actions.Presenter.Toolbar`

Nested classes/interfaces inherited from interface org.openide.util.actions.Presenter
`org.openide.util.actions.Presenter.Menu, org.openide.util.actions.Presenter.Popup, org.openide.util.actions.Presenter.Toolbar`

Nested classes/interfaces inherited from interface org.openide.util.actions.Presenter
`org.openide.util.actions.Presenter.Menu, org.openide.util.actions.Presenter.Popup, org.openide.util.actions.Presenter.Toolbar`

Field Summary

Fields inherited from class org.openide.util.actions.CookieAction
`MODE_ALL, MODE_ANY, MODE_EXACTLY_ONE, MODE_ONE, MODE_SOME`

Fields inherited from class org.openide.util.actions.SystemAction
`PROP_ENABLED, PROP_ICON`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`FileDeleteAction()`

Method Summary
`org.openide.util.HelpCtx` | `getHelpCtx()` Gets the help context.
`java.lang.String` | `getName()` Gets the name to show in the context menu.
`void` | `performAction(org.openide.nodes.Node[] activatedNodes)` Performs the cookie action for the selected node.

Methods inherited from class org.openide.util.actions.NodeAction
`actionPerformed, getActivatedNodes, isEnabled, performAction, setEnabled`

Methods inherited from class org.openide.util.actions.CallableSystemAction
`getMenuPresenter, getPopupPresenter, getToolbarPresenter`

Methods inherited from class org.openide.util.actions.SystemAction
`createPopupMenu, createToolbarPresenter, get, getIcon, getIcon, getValue, linkActions, putValue, setIcon`

Methods inherited from class org.openide.util.SharedClassObject
`addPropertyChangeListener, equals, findObject, findObject, hashCode, readExternal, removePropertyChangeListener, writeExternal`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.Action
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### FileDeleteAction

    public FileDeleteAction()

Method Detail

### getHelpCtx

    public org.openide.util.HelpCtx getHelpCtx()

  Gets the help context.

  Specified by:
    `getHelpCtx` in class `org.openide.util.actions.SystemAction`
  Returns:
    HelpCtx.DEFAULT_HELP

### getName

    public java.lang.String getName()

  Gets the name to show in the context menu.

  Specified by:
    `getName` in class `org.openide.util.actions.SystemAction`
  Returns:
    the cookie action name

### performAction

    public void performAction(org.openide.nodes.Node[] activatedNodes)

  Performs the cookie action for the selected node.

  Specified by:
    `performAction` in class `org.openide.util.actions.NodeAction`
  Parameters:
    `activatedNodes` - data nodes that activate the elected action
  See Also:
    `NodeAction.performAction(org.openide.nodes.Node[])`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.